# Generated from popper_js-2.9.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name popper_js

Name: rubygem-%{gem_name}
Version: 1.14.5
Release: 1%{?dist}.4
Summary: Popper.js assets as a Ruby gem. https://popper.js.org/
License: MIT
URL: https://github.com/glebm/popper_js-rubygem
Source0: https://github.com/glebm/%{gem_name}-rubygem/archive/v%{version}/%{gem_name}-rubygem-%{version}.tar.gz
Patch0: rubygem-popper_js-fix-tests.patch
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: (rubygem(rspec) >= 3.0 with rubygem(rspec) < 4)
BuildRequires: rubygem(rubocop)
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(rake)
BuildArch: noarch

%description
Works with Rails out of the box.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-rubygem-%{version}
%patch0 -p1

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/assets
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec


%changelog
* Mon May  3 2021 Oleg Girko <ol@infoserver.lv> - 1.14.5-1
- Initial package
